如何通过源码包编译,对已安装的rpm软件包进行升级?

梦想起飞 发布于 2013/12/31 10:47
阅读 291
收藏 0
我的发行版本是:CentOS 6.5 64位版,我要通过源码编译安装cairo-dock 3.3.2,要求glib版本大于2.35.3,系统自带glib版本为2.26.1,于是下载了2.36.4版的源码包。

分别执行如下三条指令进行安装

./configure --prefix=/usr --with-lib=/usr/lib64
make
sudo make install
编译和安装都没有报错,安装后执行

pkg-config --modversion glib-2.0
得到结果为:2.36.4。
然后再对cairo-dock包执行 configure 时,却报错,提示检查返回的版本是2.36.4,但实际找到的是2.26.1

checking pkg-config is at least version 0.16... yes
checking for GLIB - version >= 2.31.2... 
*** 'pkg-config --modversion glib-2.0' returned 2.36.4, but GLIB (2.26.1) was found!



如何解决升级问题?

加载中
返回顶部
顶部